// Created with MonoDevelop
//
//    QuickStep: Acquire, view and identify spectra 
//    Copyright (C) 2024 Hiperscan GmbH Dresden, Germany
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.


using System;
using Hiperscan.PdfLib;
using Hiperscan.Unix;

namespace Hiperscan.ApoIdentCore.Reporting.Protocol.Method
{
    public class CommonCannabisMethod : CommonMethod
    {
        protected override bool DrawModelProperties()
        {
            this.Layout.Feed(this.Layout.ParagraphBoundingBox.Height + this.Args.ReferenceLineDistance);
            this.Layout.XPosition = 0;
            if (this.Layout.AddParagraph(Catalog.GetString("Substance class:")) == false)
                return false;

            string text = String.Format("{0}", this.Info.SubstanceClass);
            this.Layout.XPosition = this.Args.ReferenceTabIndent;
            if (this.Layout.AddParagraph(text) == false)
                return false;

            this.Layout.Feed(this.Layout.ParagraphBoundingBox.Height + this.Args.ReferenceLineDistance);
            this.Layout.XPosition = 0;
            if (this.Layout.AddParagraph(Catalog.GetString("THC model ID:")) == false)
                return false;

            text = this.Info.THCModelId;
            this.Layout.XPosition = this.Args.ReferenceTabIndent;
            if (this.Layout.AddParagraph(text) == false)
                return false;

            this.Layout.Feed(this.Layout.ParagraphBoundingBox.Height + this.Args.ReferenceLineDistance);
            this.Layout.XPosition = 0;
            if (this.Layout.AddParagraph(Catalog.GetString("CBD model ID:")) == false)
                return false;

            text = this.Info.CBDModelId;
            this.Layout.XPosition = this.Args.ReferenceTabIndent;
            if (this.Layout.AddParagraph(text) == false)
                return false;

            this.Layout.Feed(this.Layout.ParagraphBoundingBox.Height + this.Args.ReferenceLineDistance);
            this.Layout.XPosition = 0;
            return true;
        }
    }
}
